Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.type
Interface PrimitiveType<T>

All Superinterfaces:
  LiteralType<T>

All Known Implementing Classes:
  BooleanType, ByteType, CharacterType, CharBooleanType, DoubleType, FloatType, IntegerType, LongType, NumericBooleanType, ShortType, TrueFalseType, YesNoType

    public interface PrimitiveType<T>

extends LiteralType<T>

Additional contract for primitive / primitive wrapper types.

Method Summary
`Serializable` | `getDefaultValue()` Get this type's default value.
`Class` | `getPrimitiveClass()` Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.
`String` | `toString(T value)` Retrieve the string representation of the given value.

Methods inherited from interface org.hibernate.type.LiteralType
`objectToSQLString`

Method Detail

### getPrimitiveClass

    Class getPrimitiveClass()

  Retrieve the primitive counterpart to the wrapper type identified by `Type.getReturnedClass()`.

  Returns:
    The primitive Java type.

### toString

    String toString(T value)

  Retrieve the string representation of the given value.

  Parameters:
    `value` - The value to be stringified.
  Returns:
    The string representation

### getDefaultValue

    Serializable getDefaultValue()

  Get this type's default value.

  Returns:
    The default value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.